.686
.model flat,stdcall
option casemap:none
include windows.inc
include kernel32.inc
includelib kernel32.lib

.code

ALIGN 16
GetMem proc dwBytes:dword
	invoke GetProcessHeap
	invoke HeapAlloc,eax,HEAP_GENERATE_EXCEPTIONS+HEAP_ZERO_MEMORY,dwBytes
	ret
GetMem endp

ALIGN 16
FreeMem proc lpMem:dword
	invoke GetProcessHeap
	invoke HeapFree,eax,HEAP_GENERATE_EXCEPTIONS+HEAP_ZERO_MEMORY,lpMem
	movzx eax,al
	ret
FreeMem endp

ALIGN 16
GetVMem proc dwBytes:dword
	invoke VirtualAlloc,0,dwBytes,MEM_COMMIT,PAGE_READWRITE
	ret
GetVMem endp

ALIGN 16
FreeVMem proc lpMem:dword
	invoke VirtualFree,lpMem,0,MEM_RELEASE
	ret
FreeVMem endp

end